import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1d','yellow'])

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['50','20'])

const xPosition = (d, i) => (i*120) + 60;

export const fruitBowl = (selection, props) => {
  
  const {fruits, height} = props;
  
  const bowl = selection.selectAll('rect')
  	.data([null])
  bowl.enter()
  .append('rect')
  	.attr('y', 150)
  	.attr('height', 200)
  	.attr('rx', 200/2)
  	.attr('width', 600)
  .merge(bowl)
  	.transition().duration(2000)
  	.attr('width', 400)
  
  const groups = selection.selectAll('g')
  	.data(fruits)  
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
  		.attr('transform', (d, i) =>
         `translate(${(i*120) + 60},${height/2})`
         );
  groups.exit().remove();
  
  groupsEnter.append('circle')
  	.merge(groups.select('circle'))
  		.attr('fill', d => colorScale(d.type))
    	.attr('r', d => radiusScale(d.type))
  
  groupsEnter.append('text')
  	.attr('y',70)
  	.merge(groups.select('text'))
  		.text(d => d.type);

};